# Method: iceberg.v1.restcatalog.v1.projects.catalogs.namespaces.list

- [HTTP request](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/list#body.request_body)
- [Response body](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/list#body.ListIcebergNamespacesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/lakehouse/docs/reference/rest/v1/iceberg.v1.restcatalog.v1.projects.catalogs.namespaces/list#body.aspect)

Lists Iceberg namespaces in the catalog. We only support one level of nesting for namespaces.

### HTTP request

`GET https://biglake.googleapis.com/iceberg/v1/restcatalog/v1/{apiParent=projects/*/catalogs/*}/namespaces`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `apiParent` | `string` Required. The parent from the resource path. |

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Optional. Specify the pageToken returned in the previous response to retrieve the next page of results. |
| `pageSize` | `integer` Optional. For servers that support pagination, this signals an upper bound of the number of results that a client will receive. For servers that do not support pagination, clients may receive results larger than the indicated `pageSize`. Defaults to 100 if not set. |
| `parent` | `string` Optional. An optional namespace, underneath which to list namespaces. If not provided or empty, all top-level namespaces should be listed. If parent is a multipart namespace, the parts must be separated by the unit separator (`0x1F`) byte. Not a real parent, so ST_NOT_REQUIRED. |

### Request body

The request body must be empty.

### Response body

The response message for the `namespaces.list` API.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "namespaces": [ array ], "next-page-token": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `namespaces[]` | ``array (`https://protobuf.dev/reference/protobuf/google.protobuf#list-value` format)`` The list of namespaces. |
| `next-page-token` | `string` The next page token for pagination. |
| `unreachable[]` | `string` Output only. A list of skipped locations that were unreachable. If non-empty, the result set might be incomplete. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/bigquery`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).